// ParameterDialog.cpp : implementation file
//

#include "stdafx.h"
#include "FourierPDE.h"
#include "ParameterDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// ParameterDialog dialog


ParameterDialog::ParameterDialog(CWnd* pParent /*=NULL*/)
	: CDialog(ParameterDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(ParameterDialog)
	m_dislocation_separation = 0.0;
	m_dt = 0.0;
	m_epsilon = 0.0;
	m_k = 0.0;
	m_kx = 0.0;
	m_ky = 0.0;
	m_noise = 0.0;
	m_nu = 0;
	m_seed = 0;
	m_max = 0.0;
	m_min = 0.0;
	m_c2 = 0.0;
	m_g_m = 0.0;
	//}}AFX_DATA_INIT
}


void ParameterDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(ParameterDialog)
	DDX_Text(pDX, IDC_DISLOC_SEP, m_dislocation_separation);
	DDX_Text(pDX, IDC_DT, m_dt);
	DDV_MinMaxDouble(pDX, m_dt, 0., 1.e+099);
	DDX_Text(pDX, IDC_EPSILON, m_epsilon);
	DDX_Text(pDX, IDC_K, m_k);
	DDX_Text(pDX, IDC_KX, m_kx);
	DDX_Text(pDX, IDC_KY, m_ky);
	DDX_Text(pDX, IDC_NOISE, m_noise);
	DDX_Text(pDX, IDC_NU, m_nu);
	DDV_MinMaxInt(pDX, m_nu, 0, 20);
	DDX_Text(pDX, IDC_SEED, m_seed);
	DDX_Text(pDX, IDC_MAX, m_max);
	DDX_Text(pDX, IDC_MIN, m_min);
	DDX_Text(pDX, IDC_C2, m_c2);
	DDX_Text(pDX, IDC_G_M, m_g_m);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(ParameterDialog, CDialog)
	//{{AFX_MSG_MAP(ParameterDialog)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// ParameterDialog message handlers
